import { Platform } from 'react-native';
import DeviceInfo from 'react-native-device-info';
import { settings as FowlerChatSettings } from '@fowler.chat/sdk';
import FowlerChat from '../lib/fowlerchat';

// this form is required by Fowler.Chat's parser in "app/statistics/server/lib/UAParserCustom.js"
export const headers = {
	'User-Agent': `RC Mobile; ${ Platform.OS } ${ DeviceInfo.getSystemVersion() }; v${ DeviceInfo.getVersion() } (${ DeviceInfo.getBuildNumber() })`
};

let _basicAuth;
export const setBasicAuth = (basicAuth) => {
	_basicAuth = basicAuth;
	if (basicAuth) {
		FowlerChatSettings.customHeaders = { ...headers, Authorization: `Basic ${ _basicAuth }` };
	} else {
		FowlerChatSettings.customHeaders = headers;
	}
};
export const BASIC_AUTH_KEY = 'BASIC_AUTH_KEY';

FowlerChatSettings.customHeaders = headers;

export default (url, options = {}) => {
	let customOptions = { ...options, headers: FowlerChatSettings.customHeaders };
	if (options && options.headers) {
		customOptions = { ...customOptions, headers: { ...options.headers, ...customOptions.headers } };
	}
	if (FowlerChat.controller) {
		const { signal } = FowlerChat.controller;
		customOptions = { ...customOptions, signal };
	}
	return fetch(url, customOptions);
};
